]> ncurses.scripts.mit.edu Git - ncurses.git/blobdiff - configure
ncurses 6.3 - patch 20220820
[ncurses.git] / configure
index e0a3d640a134952d759c57e0ebf12637524ce16c..e7dff243d850293a4e6431e6840791bc2ec48c80 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.746 .
+# From configure.in Revision: 1.747 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20210509.
 #
@@ -26353,7 +26353,79 @@ echo "${ECHO_T}$cf_result" >&6
 CXXFLAGS="$cf_save_CXXFLAGS"
 
 if test -n "$CXX"; then
-echo "$as_me:26356: checking if $CXX accepts parameter initialization" >&5
+echo "$as_me:26356: checking if $CXX accepts override keyword" >&5
+echo $ECHO_N "checking if $CXX accepts override keyword... $ECHO_C" >&6
+if test "${cf_cv_cpp_override+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+       ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS "conftest.$ac_ext" >&5'
+ac_link='$CXX -o "conftest$ac_exeext" $CXXFLAGS $CPPFLAGS $LDFLAGS "conftest.$ac_ext" $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+ac_main_return="return"
+
+       if test "$cross_compiling" = yes; then
+  cf_cv_cpp_override=unknown
+else
+  cat >"conftest.$ac_ext" <<_ACEOF
+#line 26373 "configure"
+#include "confdefs.h"
+
+class base
+{
+public:
+       virtual int foo(float x) = 0;
+};
+
+class derived: public base
+{
+public:
+       int foo(float x) override { return x != 0.0 ? 1 : 0; }
+};
+
+int main(void) { }
+
+_ACEOF
+rm -f "conftest$ac_exeext"
+if { (eval echo "$as_me:26392: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:26395: \$? = $ac_status" >&5
+  (exit "$ac_status"); } && { ac_try='"./conftest$ac_exeext"'
+  { (eval echo "$as_me:26397: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:26400: \$? = $ac_status" >&5
+  (exit "$ac_status"); }; }; then
+  cf_cv_cpp_override=yes
+else
+  echo "$as_me: program exited with status $ac_status" >&5
+echo "$as_me: failed program was:" >&5
+cat "conftest.$ac_ext" >&5
+cf_cv_cpp_override=no
+fi
+rm -f core ./core.* ./*.core "conftest$ac_exeext" "conftest.$ac_objext" "conftest.$ac_ext"
+fi
+       ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS "conftest.$ac_ext" >&5'
+ac_link='$CXX -o "conftest$ac_exeext" $CXXFLAGS $CPPFLAGS $LDFLAGS "conftest.$ac_ext" $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+ac_main_return="return"
+
+fi
+echo "$as_me:26419: result: $cf_cv_cpp_override" >&5
+echo "${ECHO_T}$cf_cv_cpp_override" >&6
+fi
+test "$cf_cv_cpp_override" = yes &&
+cat >>confdefs.h <<\EOF
+#define CPP_HAS_OVERRIDE 1
+EOF
+
+if test -n "$CXX"; then
+echo "$as_me:26428: checking if $CXX accepts parameter initialization" >&5
 echo $ECHO_N "checking if $CXX accepts parameter initialization... $ECHO_C" >&6
 if test "${cf_cv_cpp_param_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -26370,7 +26442,7 @@ ac_main_return="return"
   cf_cv_cpp_param_init=unknown
 else
   cat >"conftest.$ac_ext" <<_ACEOF
-#line 26373 "configure"
+#line 26445 "configure"
 #include "confdefs.h"
 
 class TEST {
@@ -26389,15 +26461,15 @@ int main(void) { }
 
 _ACEOF
 rm -f "conftest$ac_exeext"
-if { (eval echo "$as_me:26392: \"$ac_link\"") >&5
+if { (eval echo "$as_me:26464: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:26395: \$? = $ac_status" >&5
+  echo "$as_me:26467: \$? = $ac_status" >&5
   (exit "$ac_status"); } && { ac_try='"./conftest$ac_exeext"'
-  { (eval echo "$as_me:26397: \"$ac_try\"") >&5
+  { (eval echo "$as_me:26469: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:26400: \$? = $ac_status" >&5
+  echo "$as_me:26472: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   cf_cv_cpp_param_init=yes
 else
@@ -26416,7 +26488,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return="return"
 
 fi
-echo "$as_me:26419: result: $cf_cv_cpp_param_init" >&5
+echo "$as_me:26491: result: $cf_cv_cpp_param_init" >&5
 echo "${ECHO_T}$cf_cv_cpp_param_init" >&6
 fi
 test "$cf_cv_cpp_param_init" = yes &&
@@ -26426,7 +26498,7 @@ EOF
 
 if test -n "$CXX"; then
 
-echo "$as_me:26429: checking if $CXX accepts static_cast" >&5
+echo "$as_me:26501: checking if $CXX accepts static_cast" >&5
 echo $ECHO_N "checking if $CXX accepts static_cast... $ECHO_C" >&6
 if test "${cf_cv_cpp_static_cast+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -26440,7 +26512,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return="return"
 
        cat >"conftest.$ac_ext" <<_ACEOF
-#line 26443 "configure"
+#line 26515 "configure"
 #include "confdefs.h"
 
 class NCursesPanel
@@ -26484,16 +26556,16 @@ main (void)
 }
 _ACEOF
 rm -f "conftest.$ac_objext"
-if { (eval echo "$as_me:26487: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:26559: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:26490: \$? = $ac_status" >&5
+  echo "$as_me:26562: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest.$ac_objext"'
-  { (eval echo "$as_me:26493: \"$ac_try\"") >&5
+  { (eval echo "$as_me:26565: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:26496: \$? = $ac_status" >&5
+  echo "$as_me:26568: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   cf_cv_cpp_static_cast=yes
 else
@@ -26511,7 +26583,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return="return"
 
 fi
-echo "$as_me:26514: result: $cf_cv_cpp_static_cast" >&5
+echo "$as_me:26586: result: $cf_cv_cpp_static_cast" >&5
 echo "${ECHO_T}$cf_cv_cpp_static_cast" >&6
 
 fi
@@ -26560,13 +26632,13 @@ else
        else
                if test "$cf_cv_header_stdbool_h" = 1 ; then
 
-echo "$as_me:26563: checking for bool" >&5
+echo "$as_me:26635: checking for bool" >&5
 echo $ECHO_N "checking for bool... $ECHO_C" >&6
 if test "${ac_cv_type_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >"conftest.$ac_ext" <<_ACEOF
-#line 26569 "configure"
+#line 26641 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -26602,16 +26674,16 @@ if (sizeof (bool))
 }
 _ACEOF
 rm -f "conftest.$ac_objext"
-if { (eval echo "$as_me:26605: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:26677: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:26608: \$? = $ac_status" >&5
+  echo "$as_me:26680: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest.$ac_objext"'
-  { (eval echo "$as_me:26611: \"$ac_try\"") >&5
+  { (eval echo "$as_me:26683: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:26614: \$? = $ac_status" >&5
+  echo "$as_me:26686: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   ac_cv_type_bool=yes
 else
@@ -26621,10 +26693,10 @@ ac_cv_type_bool=no
 fi
 rm -f "conftest.$ac_objext" "conftest.$ac_ext"
 fi
-echo "$as_me:26624: result: $ac_cv_type_bool" >&5
+echo "$as_me:26696: result: $ac_cv_type_bool" >&5
 echo "${ECHO_T}$ac_cv_type_bool" >&6
 
-echo "$as_me:26627: checking size of bool" >&5
+echo "$as_me:26699: checking size of bool" >&5
 echo $ECHO_N "checking size of bool... $ECHO_C" >&6
 if test "${ac_cv_sizeof_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -26633,7 +26705,7 @@ else
   if test "$cross_compiling" = yes; then
   # Depending upon the size, compute the lo and hi bounds.
 cat >"conftest.$ac_ext" <<_ACEOF
-#line 26636 "configure"
+#line 26708 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -26666,21 +26738,21 @@ int _array_ [1 - 2 * !((sizeof (bool)) >= 0)]
 }
 _ACEOF
 rm -f "conftest.$ac_objext"
-if { (eval echo "$as_me:26669: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:26741: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:26672: \$? = $ac_status" >&5
+  echo "$as_me:26744: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest.$ac_objext"'
-  { (eval echo "$as_me:26675: \"$ac_try\"") >&5
+  { (eval echo "$as_me:26747: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:26678: \$? = $ac_status" >&5
+  echo "$as_me:26750: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   ac_lo=0 ac_mid=0
   while :; do
     cat >"conftest.$ac_ext" <<_ACEOF
-#line 26683 "configure"
+#line 26755 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -26713,16 +26785,16 @@ int _array_ [1 - 2 * !((sizeof (bool)) <= $ac_mid)]
 }
 _ACEOF
 rm -f "conftest.$ac_objext"
-if { (eval echo "$as_me:26716: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:26788: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:26719: \$? = $ac_status" >&5
+  echo "$as_me:26791: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest.$ac_objext"'
-  { (eval echo "$as_me:26722: \"$ac_try\"") >&5
+  { (eval echo "$as_me:26794: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:26725: \$? = $ac_status" >&5
+  echo "$as_me:26797: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   ac_hi=$ac_mid; break
 else
@@ -26738,7 +26810,7 @@ cat "conftest.$ac_ext" >&5
 ac_hi=-1 ac_mid=-1
   while :; do
     cat >"conftest.$ac_ext" <<_ACEOF
-#line 26741 "configure"
+#line 26813 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -26771,16 +26843,16 @@ int _array_ [1 - 2 * !((sizeof (bool)) >= $ac_mid)]
 }
 _ACEOF
 rm -f "conftest.$ac_objext"
-if { (eval echo "$as_me:26774: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:26846: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:26777: \$? = $ac_status" >&5
+  echo "$as_me:26849: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest.$ac_objext"'
-  { (eval echo "$as_me:26780: \"$ac_try\"") >&5
+  { (eval echo "$as_me:26852: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:26783: \$? = $ac_status" >&5
+  echo "$as_me:26855: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   ac_lo=$ac_mid; break
 else
@@ -26796,7 +26868,7 @@ rm -f "conftest.$ac_objext" "conftest.$ac_ext"
 while test "x$ac_lo" != "x$ac_hi"; do
   ac_mid=`expr '(' "$ac_hi" - "$ac_lo" ')' / 2 + "$ac_lo"`
   cat >"conftest.$ac_ext" <<_ACEOF
-#line 26799 "configure"
+#line 26871 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -26829,16 +26901,16 @@ int _array_ [1 - 2 * !((sizeof (bool)) <= $ac_mid)]
 }
 _ACEOF
 rm -f "conftest.$ac_objext"
-if { (eval echo "$as_me:26832: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:26904: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:26835: \$? = $ac_status" >&5
+  echo "$as_me:26907: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest.$ac_objext"'
-  { (eval echo "$as_me:26838: \"$ac_try\"") >&5
+  { (eval echo "$as_me:26910: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:26841: \$? = $ac_status" >&5
+  echo "$as_me:26913: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   ac_hi=$ac_mid
 else
@@ -26851,12 +26923,12 @@ done
 ac_cv_sizeof_bool=$ac_lo
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:26854: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:26926: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >"conftest.$ac_ext" <<_ACEOF
-#line 26859 "configure"
+#line 26931 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -26893,15 +26965,15 @@ fclose (f);
 }
 _ACEOF
 rm -f "conftest$ac_exeext"
-if { (eval echo "$as_me:26896: \"$ac_link\"") >&5
+if { (eval echo "$as_me:26968: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:26899: \$? = $ac_status" >&5
+  echo "$as_me:26971: \$? = $ac_status" >&5
   (exit "$ac_status"); } && { ac_try='"./conftest$ac_exeext"'
-  { (eval echo "$as_me:26901: \"$ac_try\"") >&5
+  { (eval echo "$as_me:26973: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:26904: \$? = $ac_status" >&5
+  echo "$as_me:26976: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   ac_cv_sizeof_bool=`cat conftest.val`
 else
@@ -26917,13 +26989,13 @@ else
   ac_cv_sizeof_bool=0
 fi
 fi
-echo "$as_me:26920: result: $ac_cv_sizeof_bool" >&5
+echo "$as_me:26992: result: $ac_cv_sizeof_bool" >&5
 echo "${ECHO_T}$ac_cv_sizeof_bool" >&6
 cat >>confdefs.h <<EOF
 #define SIZEOF_BOOL $ac_cv_sizeof_bool
 EOF
 
-echo "$as_me:26926: checking for type of bool" >&5
+echo "$as_me:26998: checking for type of bool" >&5
 echo $ECHO_N "checking for type of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -26942,7 +27014,7 @@ else
 
 else
   cat >"conftest.$ac_ext" <<_ACEOF
-#line 26945 "configure"
+#line 27017 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -26984,15 +27056,15 @@ int main(void)
 
 _ACEOF
 rm -f "conftest$ac_exeext"
-if { (eval echo "$as_me:26987: \"$ac_link\"") >&5
+if { (eval echo "$as_me:27059: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:26990: \$? = $ac_status" >&5
+  echo "$as_me:27062: \$? = $ac_status" >&5
   (exit "$ac_status"); } && { ac_try='"./conftest$ac_exeext"'
-  { (eval echo "$as_me:26992: \"$ac_try\"") >&5
+  { (eval echo "$as_me:27064: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:26995: \$? = $ac_status" >&5
+  echo "$as_me:27067: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
                 if test -z "$cf_cv_type_of_bool"; then
        rm -f cf_test.out
 
 fi
-echo "$as_me:27012: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:27084: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 
 if test "$cf_cv_type_of_bool" = unknown ; then
        case .$NCURSES_BOOL in
        (.auto|.) NCURSES_BOOL=unsigned;;
        esac
-       { echo "$as_me:27019: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+       { echo "$as_me:27091: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
        cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
                else
-                       echo "$as_me:27025: checking for fallback type of bool" >&5
+                       echo "$as_me:27097: checking for fallback type of bool" >&5
 echo $ECHO_N "checking for fallback type of bool... $ECHO_C" >&6
                        case "$host_cpu" in
                        (i?86)  cf_cv_type_of_bool=char ;;
                        (*)     cf_cv_type_of_bool=int  ;;
                        esac
-                       echo "$as_me:27031: result: $cf_cv_type_of_bool" >&5
+                       echo "$as_me:27103: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
                fi
        fi
@@ -27057,7 +27129,7 @@ if test -f "${srcdir}/Ada95/Makefile.in" ; then
 
        if test "$cf_with_ada" != "no" ; then
                if test "$with_libtool" != "no"; then
-                       { echo "$as_me:27060: WARNING: libtool does not support Ada - disabling feature" >&5
+                       { echo "$as_me:27132: WARNING: libtool does not support Ada - disabling feature" >&5
 echo "$as_me: WARNING: libtool does not support Ada - disabling feature" >&2;}
                        cf_with_ada=no
                fi
@@ -27074,7 +27146,7 @@ cf_upper_prog_gnat=`echo "${cf_prog_gnat}" | sed y%abcdefghijklmnopqrstuvwxyz./-
        unset cf_TEMP_gnat
        # Extract the first word of "$cf_prog_gnat", so it can be a program name with args.
 set dummy $cf_prog_gnat; ac_word=$2
-echo "$as_me:27077: checking for $ac_word" >&5
+echo "$as_me:27149: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_cf_TEMP_gnat+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -27091,7 +27163,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_cf_TEMP_gnat="$ac_dir/$ac_word"
-   echo "$as_me:27094: found $ac_dir/$ac_word" >&5
+   echo "$as_me:27166: found $ac_dir/$ac_word" >&5
    break
 fi
 done
 cf_TEMP_gnat=$ac_cv_path_cf_TEMP_gnat
 
 if test -n "$cf_TEMP_gnat"; then
-  echo "$as_me:27106: result: $cf_TEMP_gnat" >&5
+  echo "$as_me:27178: result: $cf_TEMP_gnat" >&5
 echo "${ECHO_T}$cf_TEMP_gnat" >&6
 else
-  echo "$as_me:27109: result: no" >&5
+  echo "$as_me:27181: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -27116,7 +27188,7 @@ fi
                unset cf_cv_gnat_version
                unset cf_TEMP_gnat
 
-echo "$as_me:27119: checking for $cf_prog_gnat version" >&5
+echo "$as_me:27191: checking for $cf_prog_gnat version" >&5
 echo $ECHO_N "checking for $cf_prog_gnat version... $ECHO_C" >&6
 if test "${cf_cv_gnat_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -27127,7 +27199,7 @@ cf_cv_gnat_version=`$cf_prog_gnat --version 2>&1 | \
        sed -e '2,$d' -e 's/[^0-9 \.]//g' -e 's/^[ ]*//' -e 's/ .*//'`
 
 fi
-echo "$as_me:27130: result: $cf_cv_gnat_version" >&5
+echo "$as_me:27202: result: $cf_cv_gnat_version" >&5
 echo "${ECHO_T}$cf_cv_gnat_version" >&6
 test -z "$cf_cv_gnat_version" && cf_cv_gnat_version=no
 eval cf_TEMP_gnat=$cf_cv_gnat_version; unset cf_cv_gnat_version
@@ -27156,7 +27228,7 @@ else
                        cd conftest.src
                        for cf_gprconfig in Ada C
                        do
-                               echo "$as_me:27159: checking for gprconfig name for $cf_gprconfig" >&5
+                               echo "$as_me:27231: checking for gprconfig name for $cf_gprconfig" >&5
 echo $ECHO_N "checking for gprconfig name for $cf_gprconfig... $ECHO_C" >&6
                                if test "$cf_gprconfig" = C
                                then
@@ -27175,10 +27247,10 @@ echo $ECHO_N "checking for gprconfig name for $cf_gprconfig... $ECHO_C" >&6
                                if test -n "$cf_gprconfig_value"
                                then
                                        eval "cf_ada_config_$cf_gprconfig=$cf_gprconfig_value"
-                                       echo "$as_me:27178: result: $cf_gprconfig_value" >&5
+                                       echo "$as_me:27250: result: $cf_gprconfig_value" >&5
 echo "${ECHO_T}$cf_gprconfig_value" >&6
                                else
-                                       echo "$as_me:27181: result: missing" >&5
+                                       echo "$as_me:27253: result: missing" >&5
 echo "${ECHO_T}missing" >&6
                                        cf_ada_config="#"
                                        break
@@ -27191,7 +27263,7 @@ echo "${ECHO_T}missing" >&6
        if test "x$cf_ada_config" != "x#"
        then
 
-echo "$as_me:27194: checking for gnat version" >&5
+echo "$as_me:27266: checking for gnat version" >&5
 echo $ECHO_N "checking for gnat version... $ECHO_C" >&6
 if test "${cf_cv_gnat_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -27202,7 +27274,7 @@ cf_cv_gnat_version=`${cf_ada_make:-gnatmake} --version 2>&1 | \
        sed -e '2,$d' -e 's/[^0-9 \.]//g' -e 's/^[ ]*//' -e 's/ .*//'`
 
 fi
-echo "$as_me:27205: result: $cf_cv_gnat_version" >&5
+echo "$as_me:27277: result: $cf_cv_gnat_version" >&5
 echo "${ECHO_T}$cf_cv_gnat_version" >&6
 test -z "$cf_cv_gnat_version" && cf_cv_gnat_version=no
 
@@ -27211,7 +27283,7 @@ case "$cf_cv_gnat_version" in
        cf_cv_prog_gnat_correct=yes
        ;;
 (*)
-       { echo "$as_me:27214: WARNING: Unsupported GNAT version $cf_cv_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
+       { echo "$as_me:27286: WARNING: Unsupported GNAT version $cf_cv_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
 echo "$as_me: WARNING: Unsupported GNAT version $cf_cv_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&2;}
        cf_cv_prog_gnat_correct=no
        ;;
@@ -27219,7 +27291,7 @@ esac
 
                # Extract the first word of "m4", so it can be a program name with args.
 set dummy m4; ac_word=$2
-echo "$as_me:27222: checking for $ac_word" >&5
+echo "$as_me:27294: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_M4_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -27234,7 +27306,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_M4_exists="yes"
-echo "$as_me:27237: found $ac_dir/$ac_word" >&5
+echo "$as_me:27309: found $ac_dir/$ac_word" >&5
 break
 done
 
 fi
 M4_exists=$ac_cv_prog_M4_exists
 if test -n "$M4_exists"; then
-  echo "$as_me:27246: result: $M4_exists" >&5
+  echo "$as_me:27318: result: $M4_exists" >&5
 echo "${ECHO_T}$M4_exists" >&6
 else
-  echo "$as_me:27249: result: no" >&5
+  echo "$as_me:27321: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
                if test "$ac_cv_prog_M4_exists" = no; then
                        cf_cv_prog_gnat_correct=no
-                       { echo "$as_me:27255: WARNING: Ada95 binding required program m4 not found. Ada95 binding disabled" >&5
+                       { echo "$as_me:27327: WARNING: Ada95 binding required program m4 not found. Ada95 binding disabled" >&5
 echo "$as_me: WARNING: Ada95 binding required program m4 not found. Ada95 binding disabled" >&2;}
                fi
                if test "$cf_cv_prog_gnat_correct" = yes; then
-                       echo "$as_me:27259: checking if GNAT works" >&5
+                       echo "$as_me:27331: checking if GNAT works" >&5
 echo $ECHO_N "checking if GNAT works... $ECHO_C" >&6
 
 rm -rf ./conftest* ./*~conftest*
@@ -27284,7 +27356,7 @@ else
 fi
 rm -rf ./conftest* ./*~conftest*
 
-                       echo "$as_me:27287: result: $cf_cv_prog_gnat_correct" >&5
+                       echo "$as_me:27359: result: $cf_cv_prog_gnat_correct" >&5
 echo "${ECHO_T}$cf_cv_prog_gnat_correct" >&6
                fi
        else
@@ -27296,7 +27368,7 @@ fi
 
        ADAFLAGS="$ADAFLAGS -gnatpn"
 
-       echo "$as_me:27299: checking optimization options for ADAFLAGS" >&5
+       echo "$as_me:27371: checking optimization options for ADAFLAGS" >&5
 echo $ECHO_N "checking optimization options for ADAFLAGS... $ECHO_C" >&6
        case "$CFLAGS" in
        (*-g*)
@@ -27313,10 +27385,10 @@ echo $ECHO_N "checking optimization options for ADAFLAGS... $ECHO_C" >&6
 
                ;;
        esac
-       echo "$as_me:27316: result: $ADAFLAGS" >&5
+       echo "$as_me:27388: result: $ADAFLAGS" >&5
 echo "${ECHO_T}$ADAFLAGS" >&6
 
-echo "$as_me:27319: checking if GNATPREP supports -T option" >&5
+echo "$as_me:27391: checking if GNATPREP supports -T option" >&5
 echo $ECHO_N "checking if GNATPREP supports -T option... $ECHO_C" >&6
 if test "${cf_cv_gnatprep_opt_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -27326,11 +27398,11 @@ cf_cv_gnatprep_opt_t=no
 gnatprep -T 2>/dev/null >/dev/null && cf_cv_gnatprep_opt_t=yes
 
 fi
-echo "$as_me:27329: result: $cf_cv_gnatprep_opt_t" >&5
+echo "$as_me:27401: result: $cf_cv_gnatprep_opt_t" >&5
 echo "${ECHO_T}$cf_cv_gnatprep_opt_t" >&6
 test "$cf_cv_gnatprep_opt_t" = yes && GNATPREP_OPTS="-T $GNATPREP_OPTS"
 
-echo "$as_me:27333: checking if GNAT supports generics" >&5
+echo "$as_me:27405: checking if GNAT supports generics" >&5
 echo $ECHO_N "checking if GNAT supports generics... $ECHO_C" >&6
 case "$cf_cv_gnat_version" in
 (3.1[1-9]*|3.[2-9]*|[4-9].*|[1-9][0-9].[0-9]*|20[0-9][0-9])
@@ -27340,7 +27412,7 @@ case "$cf_cv_gnat_version" in
        cf_gnat_generics=no
        ;;
 esac
-echo "$as_me:27343: result: $cf_gnat_generics" >&5
+echo "$as_me:27415: result: $cf_gnat_generics" >&5
 echo "${ECHO_T}$cf_gnat_generics" >&6
 
 if test "$cf_gnat_generics" = yes
@@ -27352,7 +27424,7 @@ else
        cf_generic_objects=
 fi
 
-echo "$as_me:27355: checking if GNAT supports SIGINT" >&5
+echo "$as_me:27427: checking if GNAT supports SIGINT" >&5
 echo $ECHO_N "checking if GNAT supports SIGINT... $ECHO_C" >&6
 if test "${cf_cv_gnat_sigint+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -27400,7 +27472,7 @@ fi
 rm -rf ./conftest* ./*~conftest*
 
 fi
-echo "$as_me:27403: result: $cf_cv_gnat_sigint" >&5
+echo "$as_me:27475: result: $cf_cv_gnat_sigint" >&5
 echo "${ECHO_T}$cf_cv_gnat_sigint" >&6
 
 if test "$cf_cv_gnat_sigint" = yes ; then
@@ -27413,7 +27485,7 @@ cf_gnat_libraries=no
 cf_gnat_projects=no
 
 if test "$enable_gnat_projects" != no ; then
-echo "$as_me:27416: checking if GNAT supports project files" >&5
+echo "$as_me:27488: checking if GNAT supports project files" >&5
 echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
 case "$cf_cv_gnat_version" in
 (3.[0-9]*)
@@ -27476,15 +27548,15 @@ CF_EOF
        esac
        ;;
 esac
-echo "$as_me:27479: result: $cf_gnat_projects" >&5
+echo "$as_me:27551: result: $cf_gnat_projects" >&5
 echo "${ECHO_T}$cf_gnat_projects" >&6
 fi # enable_gnat_projects
 
 if test "$cf_gnat_projects" = yes
 then
-       echo "$as_me:27485: checking if GNAT supports libraries" >&5
+       echo "$as_me:27557: checking if GNAT supports libraries" >&5
 echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6
-       echo "$as_me:27487: result: $cf_gnat_libraries" >&5
+       echo "$as_me:27559: result: $cf_gnat_libraries" >&5
 echo "${ECHO_T}$cf_gnat_libraries" >&6
 fi
 
@@ -27504,7 +27576,7 @@ then
        then
                USE_GNAT_MAKE_GPR=""
        else
-               { echo "$as_me:27507: WARNING: use old makefile rules since tools are missing" >&5
+               { echo "$as_me:27579: WARNING: use old makefile rules since tools are missing" >&5
 echo "$as_me: WARNING: use old makefile rules since tools are missing" >&2;}
        fi
 fi
@@ -27516,7 +27588,7 @@ else
        USE_GNAT_LIBRARIES="#"
 fi
 
-echo "$as_me:27519: checking for ada-compiler" >&5
+echo "$as_me:27591: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -27527,12 +27599,12 @@ else
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:27530: result: $cf_ada_compiler" >&5
+echo "$as_me:27602: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
                        cf_ada_package=terminal_interface
 
-echo "$as_me:27535: checking for ada-include" >&5
+echo "$as_me:27607: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -27568,7 +27640,7 @@ case ".$withval" in
        withval=`echo "$withval" | sed -e s%NONE%$cf_path_syntax%`
        ;;
 (*)
-       { { echo "$as_me:27571: error: expected a pathname, not \"$withval\"" >&5
+       { { echo "$as_me:27643: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
        ;;
@@ -27577,10 +27649,10 @@ esac
 fi
 eval ADA_INCLUDE="$withval"
 
-echo "$as_me:27580: result: $ADA_INCLUDE" >&5
+echo "$as_me:27652: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:27583: checking for ada-objects" >&5
+echo "$as_me:27655: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -27616,7 +27688,7 @@ case ".$withval" in
        withval=`echo "$withval" | sed -e s%NONE%$cf_path_syntax%`
        ;;
 (*)
-       { { echo "$as_me:27619: error: expected a pathname, not \"$withval\"" >&5
+       { { echo "$as_me:27691: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
        ;;
@@ -27625,10 +27697,10 @@ esac
 fi
 eval ADA_OBJECTS="$withval"
 
-echo "$as_me:27628: result: $ADA_OBJECTS" >&5
+echo "$as_me:27700: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:27631: checking if an Ada95 shared-library should be built" >&5
+echo "$as_me:27703: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -27638,14 +27710,14 @@ if test "${with_ada_sharedlib+set}" = set; then
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:27641: result: $with_ada_sharedlib" >&5
+echo "$as_me:27713: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 if test "x$with_ada_sharedlib" != xno
 then
        if test "x$cf_gnat_projects" != xyes
        then
-               { echo "$as_me:27648: WARNING: disabling shared-library since GNAT projects are not supported" >&5
+               { echo "$as_me:27720: WARNING: disabling shared-library since GNAT projects are not supported" >&5
 echo "$as_me: WARNING: disabling shared-library since GNAT projects are not supported" >&2;}
                with_ada_sharedlib=no
        fi
@@ -27665,7 +27737,7 @@ fi
 
                        # allow the Ada binding to be renamed
 
-echo "$as_me:27668: checking for ada-libname" >&5
+echo "$as_me:27740: checking for ada-libname" >&5
 echo $ECHO_N "checking for ada-libname... $ECHO_C" >&6
 
 # Check whether --with-ada-libname or --without-ada-libname was given.
@@ -27681,7 +27753,7 @@ case "x$ADA_LIBNAME" in
        ;;
 esac
 
-echo "$as_me:27684: result: $ADA_LIBNAME" >&5
+echo "$as_me:27756: result: $ADA_LIBNAME" >&5
 echo "${ECHO_T}$ADA_LIBNAME" >&6
 
                fi
 
 # do this "late" to avoid conflict with header-checks
 if test "x$with_widec" = xyes ; then
-       echo "$as_me:27695: checking for wchar_t" >&5
+       echo "$as_me:27767: checking for wchar_t" >&5
 echo $ECHO_N "checking for wchar_t... $ECHO_C" >&6
 if test "${ac_cv_type_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >"conftest.$ac_ext" <<_ACEOF
-#line 27701 "configure"
+#line 27773 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -27713,16 +27785,16 @@ if (sizeof (wchar_t))
 }
 _ACEOF
 rm -f "conftest.$ac_objext"
-if { (eval echo "$as_me:27716: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:27788: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:27719: \$? = $ac_status" >&5
+  echo "$as_me:27791: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest.$ac_objext"'
-  { (eval echo "$as_me:27722: \"$ac_try\"") >&5
+  { (eval echo "$as_me:27794: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:27725: \$? = $ac_status" >&5
+  echo "$as_me:27797: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   ac_cv_type_wchar_t=yes
 else
@@ -27732,10 +27804,10 @@ ac_cv_type_wchar_t=no
 fi
 rm -f "conftest.$ac_objext" "conftest.$ac_ext"
 fi
-echo "$as_me:27735: result: $ac_cv_type_wchar_t" >&5
+echo "$as_me:27807: result: $ac_cv_type_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_type_wchar_t" >&6
 
-echo "$as_me:27738: checking size of wchar_t" >&5
+echo "$as_me:27810: checking size of wchar_t" >&5
 echo $ECHO_N "checking size of wchar_t... $ECHO_C" >&6
 if test "${ac_cv_sizeof_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -27744,7 +27816,7 @@ else
   if test "$cross_compiling" = yes; then
   # Depending upon the size, compute the lo and hi bounds.
 cat >"conftest.$ac_ext" <<_ACEOF
-#line 27747 "configure"
+#line 27819 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -27756,21 +27828,21 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) >= 0)]
 }
 _ACEOF
 rm -f "conftest.$ac_objext"
-if { (eval echo "$as_me:27759: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:27831: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:27762: \$? = $ac_status" >&5
+  echo "$as_me:27834: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest.$ac_objext"'
-  { (eval echo "$as_me:27765: \"$ac_try\"") >&5
+  { (eval echo "$as_me:27837: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:27768: \$? = $ac_status" >&5
+  echo "$as_me:27840: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   ac_lo=0 ac_mid=0
   while :; do
     cat >"conftest.$ac_ext" <<_ACEOF
-#line 27773 "configure"
+#line 27845 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -27782,16 +27854,16 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) <= $ac_mid)]
 }
 _ACEOF
 rm -f "conftest.$ac_objext"
-if { (eval echo "$as_me:27785: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:27857: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:27788: \$? = $ac_status" >&5
+  echo "$as_me:27860: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest.$ac_objext"'
-  { (eval echo "$as_me:27791: \"$ac_try\"") >&5
+  { (eval echo "$as_me:27863: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:27794: \$? = $ac_status" >&5
+  echo "$as_me:27866: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   ac_hi=$ac_mid; break
 else
@@ -27807,7 +27879,7 @@ cat "conftest.$ac_ext" >&5
 ac_hi=-1 ac_mid=-1
   while :; do
     cat >"conftest.$ac_ext" <<_ACEOF
-#line 27810 "configure"
+#line 27882 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -27819,16 +27891,16 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) >= $ac_mid)]
 }
 _ACEOF
 rm -f "conftest.$ac_objext"
-if { (eval echo "$as_me:27822: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:27894: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:27825: \$? = $ac_status" >&5
+  echo "$as_me:27897: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest.$ac_objext"'
-  { (eval echo "$as_me:27828: \"$ac_try\"") >&5
+  { (eval echo "$as_me:27900: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:27831: \$? = $ac_status" >&5
+  echo "$as_me:27903: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   ac_lo=$ac_mid; break
 else
@@ -27844,7 +27916,7 @@ rm -f "conftest.$ac_objext" "conftest.$ac_ext"
 while test "x$ac_lo" != "x$ac_hi"; do
   ac_mid=`expr '(' "$ac_hi" - "$ac_lo" ')' / 2 + "$ac_lo"`
   cat >"conftest.$ac_ext" <<_ACEOF
-#line 27847 "configure"
+#line 27919 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -27856,16 +27928,16 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) <= $ac_mid)]
 }
 _ACEOF
 rm -f "conftest.$ac_objext"
-if { (eval echo "$as_me:27859: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:27931: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:27862: \$? = $ac_status" >&5
+  echo "$as_me:27934: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest.$ac_objext"'
-  { (eval echo "$as_me:27865: \"$ac_try\"") >&5
+  { (eval echo "$as_me:27937: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:27868: \$? = $ac_status" >&5
+  echo "$as_me:27940: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   ac_hi=$ac_mid
 else
@@ -27878,12 +27950,12 @@ done
 ac_cv_sizeof_wchar_t=$ac_lo
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:27881: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:27953: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >"conftest.$ac_ext" <<_ACEOF
-#line 27886 "configure"
+#line 27958 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -27899,15 +27971,15 @@ fclose (f);
 }
 _ACEOF
 rm -f "conftest$ac_exeext"
-if { (eval echo "$as_me:27902: \"$ac_link\"") >&5
+if { (eval echo "$as_me:27974: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:27905: \$? = $ac_status" >&5
+  echo "$as_me:27977: \$? = $ac_status" >&5
   (exit "$ac_status"); } && { ac_try='"./conftest$ac_exeext"'
-  { (eval echo "$as_me:27907: \"$ac_try\"") >&5
+  { (eval echo "$as_me:27979: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:27910: \$? = $ac_status" >&5
+  echo "$as_me:27982: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   ac_cv_sizeof_wchar_t=`cat conftest.val`
 else
@@ -27923,7 +27995,7 @@ else
   ac_cv_sizeof_wchar_t=0
 fi
 fi
-echo "$as_me:27926: result: $ac_cv_sizeof_wchar_t" >&5
+echo "$as_me:27998: result: $ac_cv_sizeof_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_sizeof_wchar_t" >&6
 cat >>confdefs.h <<EOF
 #define SIZEOF_WCHAR_T $ac_cv_sizeof_wchar_t
@@ -27936,7 +28008,7 @@ EOF
        then
                test -n "$verbose" && echo "    test failed (assume 2)" 1>&6
 
-echo "${as_me:-configure}:27939: testing test failed (assume 2) ..." 1>&5
+echo "${as_me:-configure}:28011: testing test failed (assume 2) ..." 1>&5
 
                sed /SIZEOF_WCHAR_T/d confdefs.h >confdefs.tmp
                mv confdefs.tmp confdefs.h
@@ -27954,7 +28026,7 @@ fi
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:27957: checking for library subsets" >&5
+echo "$as_me:28029: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -28008,7 +28080,7 @@ fi
 test "x$with_widec"     = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:28011: result: $LIB_SUBSETS" >&5
+echo "$as_me:28083: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -28039,7 +28111,7 @@ elif test "$includedir" != "/usr/include"; then
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:28042: checking default library suffix" >&5
+echo "$as_me:28114: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
        case $DFT_LWR_MODEL in
@@ -28050,10 +28122,10 @@ echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
        (shared)  DFT_ARG_SUFFIX=''   ;;
        esac
        test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:28053: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:28125: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:28056: checking default library-dependency suffix" >&5
+echo "$as_me:28128: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
        case X$DFT_LWR_MODEL in
@@ -28136,10 +28208,10 @@ echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
                DFT_LIB_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_LIB_SUFFIX}"
                DFT_DEP_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_DEP_SUFFIX}"
        fi
-echo "$as_me:28139: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:28211: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:28142: checking default object directory" >&5
+echo "$as_me:28214: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
        case $DFT_LWR_MODEL in
@@ -28155,11 +28227,11 @@ echo $ECHO_N "checking default object directory... $ECHO_C" >&6
                        DFT_OBJ_SUBDIR='obj_s' ;;
                esac
        esac
-echo "$as_me:28158: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:28230: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 if test "x$cf_with_cxx" = xyes ; then
-echo "$as_me:28162: checking c++ library-dependency suffix" >&5
+echo "$as_me:28234: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
        # libtool thinks it can make c++ shared libraries (perhaps only g++)
@@ -28252,7 +28324,7 @@ else
        fi
 
 fi
-echo "$as_me:28255: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:28327: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-       echo "$as_me:28431: checking if linker supports switching between static/dynamic" >&5
+       echo "$as_me:28503: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
        rm -f libconftest.a
        cat >conftest.$ac_ext <<EOF
-#line 28436 "configure"
+#line 28508 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-       if { (eval echo "$as_me:28440: \"$ac_compile\"") >&5
+       if { (eval echo "$as_me:28512: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:28443: \$? = $ac_status" >&5
+  echo "$as_me:28515: \$? = $ac_status" >&5
   (exit "$ac_status"); } ; then
                ( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
                ( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -28451,10 +28523,10 @@ EOF
 
        LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
        cat >"conftest.$ac_ext" <<_ACEOF
-#line 28454 "configure"
+#line 28526 "configure"
 #include "confdefs.h"
 
-#line 28457 "configure"
+#line 28529 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -28469,16 +28541,16 @@ main (void)
 }
 _ACEOF
 rm -f "conftest.$ac_objext" "conftest$ac_exeext"
-if { (eval echo "$as_me:28472: \"$ac_link\"") >&5
+if { (eval echo "$as_me:28544: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:28475: \$? = $ac_status" >&5
+  echo "$as_me:28547: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest$ac_exeext"'
-  { (eval echo "$as_me:28478: \"$ac_try\"") >&5
+  { (eval echo "$as_me:28550: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:28481: \$? = $ac_status" >&5
+  echo "$as_me:28553: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
 
        # some linkers simply ignore the -dynamic
@@ -28501,7 +28573,7 @@ rm -f "conftest.$ac_objext" "conftest$ac_exeext" "conftest.$ac_ext"
        rm -f libconftest.*
        LIBS="$cf_save_LIBS"
 
-       echo "$as_me:28504: result: $cf_ldflags_static" >&5
+       echo "$as_me:28576: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
        if test "$cf_ldflags_static" != yes
@@ -28517,7 +28589,7 @@ fi
        ;;
 esac
 
-echo "$as_me:28520: checking where we will install curses.h" >&5
+echo "$as_me:28592: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 
 includesubdir=
@@ -28527,7 +28599,7 @@ if test "$with_overwrite" = no && \
 then
        includesubdir="/ncurses${USE_LIB_SUFFIX}"
 fi
-echo "$as_me:28530: result: ${includedir}${includesubdir}" >&5
+echo "$as_me:28602: result: ${includedir}${includesubdir}" >&5
 echo "${ECHO_T}${includedir}${includesubdir}" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -28535,7 +28607,7 @@ echo "${ECHO_T}${includedir}${includesubdir}" >&6
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
        NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-       { echo "$as_me:28538: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+       { echo "$as_me:28610: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -28563,7 +28635,7 @@ EOF
 
 # pkgsrc uses these
 
-echo "$as_me:28566: checking for desired basename for form library" >&5
+echo "$as_me:28638: checking for desired basename for form library" >&5
 echo $ECHO_N "checking for desired basename for form library... $ECHO_C" >&6
 
 # Check whether --with-form-libname or --without-form-libname was given.
@@ -28583,10 +28655,10 @@ case "x$FORM_NAME" in
        ;;
 esac
 
-echo "$as_me:28586: result: $FORM_NAME" >&5
+echo "$as_me:28658: result: $FORM_NAME" >&5
 echo "${ECHO_T}$FORM_NAME" >&6
 
-echo "$as_me:28589: checking for desired basename for menu library" >&5
+echo "$as_me:28661: checking for desired basename for menu library" >&5
 echo $ECHO_N "checking for desired basename for menu library... $ECHO_C" >&6
 
 # Check whether --with-menu-libname or --without-menu-libname was given.
@@ -28606,10 +28678,10 @@ case "x$MENU_NAME" in
        ;;
 esac
 
-echo "$as_me:28609: result: $MENU_NAME" >&5
+echo "$as_me:28681: result: $MENU_NAME" >&5
 echo "${ECHO_T}$MENU_NAME" >&6
 
-echo "$as_me:28612: checking for desired basename for panel library" >&5
+echo "$as_me:28684: checking for desired basename for panel library" >&5
 echo $ECHO_N "checking for desired basename for panel library... $ECHO_C" >&6
 
 # Check whether --with-panel-libname or --without-panel-libname was given.
@@ -28629,10 +28701,10 @@ case "x$PANEL_NAME" in
        ;;
 esac
 
-echo "$as_me:28632: result: $PANEL_NAME" >&5
+echo "$as_me:28704: result: $PANEL_NAME" >&5
 echo "${ECHO_T}$PANEL_NAME" >&6
 
-echo "$as_me:28635: checking for desired basename for cxx library" >&5
+echo "$as_me:28707: checking for desired basename for cxx library" >&5
 echo $ECHO_N "checking for desired basename for cxx library... $ECHO_C" >&6
 
 # Check whether --with-cxx-libname or --without-cxx-libname was given.
@@ -28652,13 +28724,13 @@ case "x$CXX_NAME" in
        ;;
 esac
 
-echo "$as_me:28655: result: $CXX_NAME" >&5
+echo "$as_me:28727: result: $CXX_NAME" >&5
 echo "${ECHO_T}$CXX_NAME" >&6
 
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:28661: checking for src modules" >&5
+echo "$as_me:28733: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -28727,7 +28799,7 @@ eval TEST_ROOT="\$${cf_map_lib_basename}_NAME"
                fi
        fi
 done
-echo "$as_me:28730: result: $cf_cv_src_modules" >&5
+echo "$as_me:28802: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -28888,7 +28960,7 @@ case "$cf_cv_system_name" in
        (*-D_XOPEN_SOURCE_EXTENDED*)
                test -n "$verbose" && echo "    moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6
 
-echo "${as_me:-configure}:28891: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
+echo "${as_me:-configure}:28963: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
 
                CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED"
                CPPFLAGS=`echo "x$CPPFLAGS" | sed -e  's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'`
@@ -28899,7 +28971,7 @@ esac
 
 # Help to automatically enable the extended curses features when using either
 # the *-config or the ".pc" files by adding defines.
-echo "$as_me:28902: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5
+echo "$as_me:28974: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5
 echo $ECHO_N "checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script... $ECHO_C" >&6
 PKG_CFLAGS=
 for cf_loop1 in $CPPFLAGS_after_XOPEN
@@ -28915,7 +28987,7 @@ do
        done
        test "$cf_found" = no && PKG_CFLAGS="$PKG_CFLAGS $cf_loop1"
 done
-echo "$as_me:28918: result: $PKG_CFLAGS" >&5
+echo "$as_me:28990: result: $PKG_CFLAGS" >&5
 echo "${ECHO_T}$PKG_CFLAGS" >&6
 
 # AC_CHECK_SIZEOF demands a literal parameter, no variables.  So we do this.
@@ -28976,7 +29048,7 @@ then
        cf_filter_syms=$cf_dft_filter_syms
        test -n "$verbose" && echo "    will map symbols to ABI=$cf_cv_abi_version" 1>&6
 
-echo "${as_me:-configure}:28979: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
+echo "${as_me:-configure}:29051: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
 
 fi
 
@@ -29003,7 +29075,7 @@ fi
 
 # This is used for the *-config script and *.pc data files.
 
-echo "$as_me:29006: checking for linker search path" >&5
+echo "$as_me:29078: checking for linker search path" >&5
 echo $ECHO_N "checking for linker search path... $ECHO_C" >&6
 if test "${cf_cv_ld_searchpath+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -29051,7 +29123,7 @@ then
                        cf_pathlist="$cf_pathlist /lib /usr/lib"
                        ;;
                (*)
-                       { echo "$as_me:29054: WARNING: problem with Solaris architecture" >&5
+                       { echo "$as_me:29126: WARNING: problem with Solaris architecture" >&5
 echo "$as_me: WARNING: problem with Solaris architecture" >&2;}
                        ;;
                esac
@@ -29092,7 +29164,7 @@ done
 test -z "$cf_cv_ld_searchpath" && cf_cv_ld_searchpath=/usr/lib
 
 fi
-echo "$as_me:29095: result: $cf_cv_ld_searchpath" >&5
+echo "$as_me:29167: result: $cf_cv_ld_searchpath" >&5
 echo "${ECHO_T}$cf_cv_ld_searchpath" >&6
 
 LD_SEARCHPATH=`echo "$cf_cv_ld_searchpath"|sed -e 's/ /|/g'`
@@ -29182,7 +29254,7 @@ DEFS=-DHAVE_CONFIG_H
 : "${CONFIG_STATUS=./config.status}"
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:29185: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:29257: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >"$CONFIG_STATUS" <<_ACEOF
 #! $SHELL
@@ -29361,7 +29433,7 @@ cat >>"$CONFIG_STATUS" <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:29364: error: ambiguous option: $1
+    { { echo "$as_me:29436: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -29380,7 +29452,7 @@ Try \`$0 --help' for more information." >&2;}
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:29383: error: unrecognized option: $1
+  -*) { { echo "$as_me:29455: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -29506,7 +29578,7 @@ do
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:29509: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:29581: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -29638,6 +29710,7 @@ s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
 s,@INSTALL_DATA@,$INSTALL_DATA,;t t
 s,@LINT@,$LINT,;t t
 s,@LINT_OPTS@,$LINT_OPTS,;t t
+s,@LINT_LIBS@,$LINT_LIBS,;t t
 s,@LN_S@,$LN_S,;t t
 s,@cf_config_suffix@,$cf_config_suffix,;t t
 s,@PKG_CONFIG@,$PKG_CONFIG,;t t
@@ -30018,7 +30091,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:30021: creating $ac_file" >&5
+    { echo "$as_me:30094: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -30036,7 +30109,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:30039: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:30112: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -30049,7 +30122,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo "$srcdir/$f"
          else
            # /dev/null tree
-           { { echo "$as_me:30052: error: cannot find input file: $f" >&5
+           { { echo "$as_me:30125: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -30065,7 +30138,7 @@ cat >>"$CONFIG_STATUS" <<\EOF
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' "$ac_item"`
         if test -z "$ac_used"; then
-          { echo "$as_me:30068: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:30141: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -30074,7 +30147,7 @@ $ac_seen" >&2;}
       fi
       ac_seen=`grep '${datarootdir}' "$ac_item"`
       if test -n "$ac_seen"; then
-        { echo "$as_me:30077: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:30150: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -30111,7 +30184,7 @@ s,@INSTALL@,$ac_INSTALL,;t t
             ac_init=`${EGREP-egrep} '[         ]*'$ac_name'[   ]*=' "$ac_file"`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:30114: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:30187: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -30122,7 +30195,7 @@ $ac_seen" >&2;}
     ${EGREP-egrep} -n '@[A-Z_][A-Z_0-9]+@' "$ac_file" >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:30125: WARNING: Some variables may not be substituted:
+      { echo "$as_me:30198: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -30171,7 +30244,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:30174: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:30247: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -30182,7 +30255,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:30185: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:30258: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -30195,7 +30268,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo "$srcdir/$f"
          else
            # /dev/null tree
-           { { echo "$as_me:30198: error: cannot find input file: $f" >&5
+           { { echo "$as_me:30271: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -30253,7 +30326,7 @@ cat >>"$CONFIG_STATUS" <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s "$ac_file" "$tmp/config.h" 2>/dev/null; then
-      { echo "$as_me:30256: $ac_file is unchanged" >&5
+      { echo "$as_me:30329: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -30640,7 +30713,7 @@ cf_ITEM=`echo "$cf_item" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQ
                                (cygdll|msysdll|mingw|msvcdll)
                                        test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "  overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:30643: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:30716: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
                                        with_shared_cxx=yes
                                        ;;